Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.asSyntax
Interface StringTerm

All Superinterfaces:
  java.lang.Cloneable, java.lang.Comparable<Term>, java.io.Serializable, Term, ToDOM

All Known Implementing Classes:
  StringTermImpl, UnnamedVar, VarTerm

    public interface StringTerm

extends Term

The interface for string terms of the AgentSpeak language

Method Summary
`java.lang.String` | `getString()` gets the Java string represented by this term, it normally does not return the same string as toString (which enclose the string by quotes)
`int` | `length()`

Methods inherited from interface jason.asSyntax.Term
`apply, clone, countVars, equals, getSrcInfo, hasVar, isArithExpr, isAtom, isGround, isInternalAction, isList, isLiteral, isNumeric, isPlanBody, isPred, isRule, isString, isStructure, isUnnamedVar, isVar, setSrcInfo`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface jason.util.ToDOM
`getAsDOM`

Method Detail

### getString

    java.lang.String getString()

  gets the Java string represented by this term, it normally does not return the same string as toString (which enclose the string by quotes)

### length

    int length()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD